package com.fjhx.mes.service.production.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.mes.entity.production.dto.ProductionSchedulingDto;
import com.fjhx.mes.entity.production.dto.ProductionSchedulingSelectDto;
import com.fjhx.mes.entity.production.po.ProductionScheduling;
import com.fjhx.mes.entity.production.vo.ProductionSchedulingVo;
import com.fjhx.mes.mapper.production.ProductionSchedulingMapper;
import com.fjhx.mes.service.production.ProductionSchedulingService;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 生产排程 服务实现类
 * </p>
 *
 * @author
 * @since 2024-02-03
 */
@Service
public class ProductionSchedulingServiceImpl extends ServiceImpl<ProductionSchedulingMapper, ProductionScheduling> implements ProductionSchedulingService {

    @Override
    public List<ProductionSchedulingVo> getList(ProductionSchedulingSelectDto dto) {
        IWrapper<ProductionScheduling> wrapper = getWrapper();
        wrapper.orderByDesc("ps", ProductionScheduling::getId);
        List<ProductionSchedulingVo> list = this.baseMapper.getList(wrapper);
        return list;
    }

    @Override
    public void add(ProductionSchedulingDto productionSchedulingDto) {
        this.save(productionSchedulingDto);
    }

    @Override
    public void edit(ProductionSchedulingDto productionSchedulingDto) {
        this.updateById(productionSchedulingDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
